<script>
import { mapGetters, mapActions } from 'vuex';
export default {
  name: 'app',
  computed: mapGetters(['allPosts', 'userData']),
  methods: {
    ...mapActions(['fetchPosts', 'deletePost', 'createPost']),
    getNewId() {
      return new Date().getTime();
    },
  },
  mounted() {
    this.fetchPosts();

    if (localStorage.login) {
      this.login = localStorage.login;
    }
  },
  updated() {
    this.id = this.getNewId();
  },

  data() {
    return {
      id: this.getNewId(),
      title: '',
      body: '',
    };
  },
};
</script>

<template>
  <div id="app" class="flex flex-col items-center">
    <p>Todo list for {{ login }}</p>
    <input
      v-model="title"
      type="text"
      placeholder="title"
      class="ring-offset-2 ring-2 mb-8"
    />
    <input
      v-model="body"
      type="text"
      placeholder="body"
      class="ring-offset-2 ring-2 mb-8"
    />

    <div
      class="ring-offset-2 ring-2 mb-8 w-8 h-8"
      @click="createPost({ title, body, id })"
    >
      add
    </div>

    <div>
      <div class="" v-for="post in allPosts" :key="post.id">
        <div class="text-red-700">{{ post.title }}</div>
        <div>{{ post.body }}</div>
        <div
          @click="deletePost(post.id)"
          class="ring-offset-2 ring-2 mb-8 w-8 h-8"
        >
          x
        </div>
      </div>
    </div>
  </div>
</template>

<style scoped></style>
